#!/bin/bash
open_proidiom(){
ADAPTER_NUMBER=$2
PROIDIOM_NUMBER=$((adapter_number + 8))
PROIDIOM_ADAPTER_FILE="/dev/dvb/adapter"$PROIDIOM_NUMBER

#create file nodes for fuse_proidiom
/bin/mkdir $PROIDIOM_ADAPTER_FILE
/bin/chgrp video $PROIDIOM_ADAPTER_FILE
/bin/chmod 775 $PROIDIOM_ADAPTER_FILE

#find the i2c bus used for SMBUS
I2C_NODE_NAME="$(grep -l I801 /sys/bus/i2c/devices/*/name | cut -d '/' -f 6-|cut -d '/' -f 1)"
I2C_DEV_ADDR=24
#find system serial number
CSN="CSN_"$(head -n 1 "/sys/class/dmi/id/product_serial" | sed 's/ /_/' | sed 's/-//')""

#launch fuse_proidiom
#set args --i2cnode i2c-8 --i2caddr 24 /dev/dvb/adapter8 --sn CSN_0035330000 -f
sudo -u true /usr/bin/fuse_proidiom --i2cnode "$I2C_NODE_NAME" --i2caddr "$I2C_DEV_ADDR" "$PROIDIOM_ADAPTER_FILE" --sn "$CSN"
exit 0
}

close_proidiom(){
ADAPTER_NUMBER=$2
PROIDIOM_NUMBER=$((adapter_number + 8))
PROIDIOM_ADAPTER_FILE="/dev/dvb/adapter"$PROIDIOM_NUMBER

#fusermount unmount will gracefully close fuse_proidiom
/bin/fusermount -u -z -q $PROIDIOM_ADAPTER_FILE
#remove nodes
/bin/rmdir $PROIDIOM_ADAPTER_FILE
exit 0
}

axmem_setup(){
chgrp video /dev/axmema
chmod 660 /dev/axmema
exit 0
}

axmap_setup(){
chgrp video /dev/axmap0
chmod 644 /dev/axmap0
exit 0
}

case "$1" in
    open)
	open_proidiom
	;;
    close)
	close_proidiom
        ;;
   start_axmap)
	axmap_setup
	;;
   start_axmem)
	axmem_setup
	;;
   *)
esac
exit 0
